This project was made in terms of learning Godot and to analyze it's features
and to make valuable es terminations if the Engine will fit our future needs.
This project was created alongside a Tutorial provided by the Godot Team: 
https://docs.godotengine.org/en/3.1/tutorials/3d/fps_tutorial/index.html
While most of the Scripts are wrote by us (with help from the tutorial obviously)
the assets remain under the original license.